<?php defined('PT_ROOT') || exit('Permission denied');?><!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml">
<head lang="zh-CN">
    <meta charset="UTF-8" />
    <title><?php echo PRONAME;?> 安装程序</title>
    <link rel="stylesheet" type="text/css" href="<?php echo __TMPL__;?>/css/global.css" />
</head>
<body>
<div class="ptcms-install-patch">
    <h1><?php echo PRONAME;?></h1>
    <ol class="path">
        <?php if(is_array($steplist) && (array()!=$steplist)): $i=array(); $i['loop']=array_slice($steplist,0,null,true); $i['total']=count($steplist); $i['count']=count($i['loop']); $i['cols']=1; $i['add']=$i['count']%1?1-$i['count']%1:0; $i['order']=0; $i['row']=1;$i['col']=0;foreach(array_pad($i['loop'],$i['add'],array()) as $i['index']=>$i['list']): $loop=$i['list']; $i['order']++; $i['col']++; if($i['col']==1): $i['col']=0; $i['row']++; endif; $i['first']=$i['order']==1; $i['last']=$i['order']==$i['count']; $i['extra']=$i['order']>$i['count'];?>
        <?php if($step==$i['index']):?>
        <li class="current"><span><?php echo $i['order'];?></span><?php echo $loop;?></li>
        <?php else:?>
        <li><span><?php echo $i['order'];?></span><?php echo $loop;?></li>
        <?php endif;?>
        <?php endforeach; endif;?>
    </ol>
</div>
<div class="container">
    <div class="colgroup">
        <div class="col-mb-12 col-tb-8 col-tb-offset-2">
            <div class="column-14 start-06 ptcms-install">
                <?php if($error):?>
<?php if(is_array($error)): foreach($error as $key =>$loop):?>
<p class = "message error"><?php echo $loop;?></p>
<?php endforeach; endif;?>
<form method = "post" action = "<?php echo U("install.index.base",array());?>" style = "display: inline-block;">
    <p>
        <button type = "submit" class = "primary">我已解决, 继续安装 »</button>
        <button type = "button" class = "btn-warn">忽视错误, 继续安装 »</button>
    </p>
</form>
<?php else:?>
<?php if($warning):?>
<?php if(is_array($warning)): foreach($warning as $key =>$loop):?>
<p class = "message notice"><?php echo $loop;?></p>
<?php endforeach; endif;?>
<?php endif;?>
<form method = "post" action = "<?php echo U("install.index.setting",array());?>" name = "config">
    <div class = "ptcms-install-body">
        <h2>系统配置</h2>
        <ul class = "ptcms-option">
            <li>
                <label class = "ptcms-label" for = "sitename">网站名称</label>
                <input type = "text" name = "sitename" id = "sitename" class = "text" value = "<?php echo PRONAME;?>">
                <p class = "description">请填写您的网站名称</p>
            </li>
            <li>
                <label class = "ptcms-label" for = "siteurl">网站地址</label>
                <input type = "text" name = "siteurl" id = "siteurl" class = "text" value = "<?php echo PT_URL;?>">
                <p class = "description">这是程序自动匹配的网站路径, 如果不正确请修改它</p>
            </li>
            <li>
                <label class = "ptcms-label" for = "adminuser">管理员帐号</label>
                <input type = "text" name = "adminuser" id = "adminuser" class = "text" value = "admin">
                <p class = "description">请填写您的用户名</p>
            </li>
            <li>
                <label class = "ptcms-label" for = "adminpwd">管理员密码</label>
                <input type = "text" name = "adminpwd" id = "adminpwd" class = "text" value = "admin">
                <p class = "description">请填写您的登录密码, 如果留空系统将设置为admin</p>
            </li>
        </ul>
    </div>
    <p class = "submit">
        <button type = "submit" class = "primary">确认, 进行下一步 »</button>
    </p>
</form>
<?php endif;?>
            </div>
        </div>
    </div>
</div>
<div class="ptcms-foot" role="contentinfo">
    <div class="copyright">
        <a href="http://www.ptcms.com" class="i-logo-s">PTCMS</a>
        <p>由 <a href="http://www.ptcms.com/product/ptframework">PT Framework</a> 强力驱动, 程序版本 <?php echo PROVERSION;?></p>
    </div>
    <nav class="resource">
        <a href="http://www.ptcms.com/course">帮助文档</a> &bull;
        <a href="http://www.ptcms.com/bbs">支持论坛</a> &bull;
        <a href="http://www.ptcms.com/case">案例演示</a> &bull;
        <a href="http://www.ptcms.com/download">资源下载</a>
    </nav>
</div>
<div style="display: none">
    <script>
        var _hmt = _hmt || [];
        (function() {
            var hm = document.createElement("script");
            hm.src = "http://js.users.51.la/17312305.js";
            var s = document.getElementsByTagName("script")[0];
            s.parentNode.insertBefore(hm, s);
        })();
    </script>
</div>
</body>
</html>
